/* RPC server for Fox om calls */
/* Refer to RPC -John Bloomer O'Reilly & Assoc Pg265 */
/* ================= includes =============================== */
#include <stdio.h>
#include <string.h>

#include <rpc/rpc.h>
#include <signal.h>
#include <sys/wait.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <fox/om_user.h>
#include <fox/om_ecode.h>
#include "omrd.h"
#include "ommem.h"
/* ================= defines ================================== */

#define MAXVALS 100


/* ================= prototypes =============================== */




/* ================= code ===================================== */


main(int argc,char *argv[])
{

  key_t key;
  struct sembuf sops;
  int i,v;


  /* create shared memory area */
  key = 9876;

  if((sync_sem=semget(key,1,IPC_CREAT|0666)) <0){
    fprintf(stderr,"semget failed\n");
    exit(1);
  }

  /* initialise semaphore structure */
  sops.sem_num = atoi(argv[2]);
  sops.sem_flg = 0;
  /* check if sem set -blocks until sem clears*/
  sops.sem_op = atoi(argv[1]);
  i = semop(sync_sem,&sops,1);
  v = semctl(atoi(argv[1]),atoi(argv[2]),GETVAL);
   printf("return %d %d\n",i,v); 
  return(0);

}
