#include <stdio.h>
#include <string.h>

#include <rpc/rpc.h>
#include <signal.h>
#include <sys/wait.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <fox/om_user.h>
#include <fox/om_ecode.h>
#include "omrd.h"
#include "ommem.h"
/* ================= defines ================================== */


/* ================= prototypes =============================== */


struct timeval tval;
static int count = 0;

/* ================= code ===================================== */


main(int argc,char *argv[])
{
  key_t key;
  int i,maxshm;
  struct cbpmem *mycbp;

  /* create shared memory area */
  if ( argc == 2 ) {
    maxshm = atoi(argv[1]);
  } else {
    maxshm = MAXSHM;
  }
  key = 9876;
  if((i=shmget(key,sizeof(struct cbpmem)*MAXSHM,IPC_CREAT|0666)) <0) {
    fprintf(stderr,"shmget failed\n");
    exit(1);
  }
  if (((char *)shobj = shmat(i,NULL,0)) == (char *) -1){
       fprintf(stderr,"shmget failed\n");
  }
  for(mycbp = shobj;mycbp < (shobj+maxshm);mycbp++){
    if(mycbp->name[0] != '\0'){
      /* if (! strcmp(mycbp->name,"6_FW_FLOW:STAT_COUNTER.RO03") ) */
      printf("%s\t\t%s\n",mycbp->name,mycbp->psap_ptr.nsap_address);
      
    } else break;
  }
}
