/* omrd.x Protocol Definition file */
/* 
#---------------------------------------------------------------------+
#  Copyright (c) 2000 NRG Gladstone Operating Services.               |
#                 All Rights Reserved.                                |
#                                                                     |
#                                                                     |
#  This is free software; you can redistribute it and/or modify it    |
#  under the terms of the GNU General Public License as published by  |
#  the Free Software Foundation; either version 2 of the License, or  |
#  (at your option) any later version.                                |
#                                                                     |
#  This software is distributed in the hope that it will be useful,   |
#  but WITHOUT ANY WARRANTY; without even the implied warranty of     |
#  merchantability or fitness for a particular purpose. See the GNU   |
#  General Public License for more details.                           |
#                                                                     |
#  To obtain the GNU General Public License, write to:                |
#                                                                     |
#      Free Software Foundation, Inc.                                 |
#      59 Temple Place - Suite 330                                    |
#      Boston, MA  02111-1307                                         |
#      USA                                                            |
#---------------------------------------------------------------------+
*/

/*
# $Log: omrd.x,v $
# Revision 1.1  2000/03/19 22:22:39  dbond
# Initial revision
#
#
*/


const MAXNAMLEN = 40;
const OMRD_X = "$Id: omrd.x,v 1.1 2000/03/19 22:22:39 dbond Exp $";

typedef string cbp<MAXNAMLEN>;
typedef string omValue<MAXNAMLEN>;
typedef struct namenode *namelist;

/* node in the directory */

struct namenode {
	cbp name;
	omValue value;
	namelist pNext;
};
union omrd_res switch (int errno) {
case 0:
	namelist list;
default:
	void;
};

/* directory lister program lister */
program OMPROG {
	version OMVERS {
	omrd_res
	OMRD(namenode) = 1;
	int
	OMWR(namenode) = 2;
	} = 1;
} = 0x20000001;

