/* header file for shared memory CBP addresses */
/* 
#---------------------------------------------------------------------+
#  Copyright (c) 2000 NRG Gladstone Operating Services.               |
#                  All Rights Reserved.                               |
#                                                                     |
#                                                                     |
#  This is free software; you can redistribute it and/or modify it    |
#  under the terms of the GNU General Public License as published by  |
#  the Free Software Foundation; either version 2 of the License, or  |
#  (at your option) any later version.                                |
#                                                                     |
#  This software is distributed in the hope that it will be useful,   |
#  but WITHOUT ANY WARRANTY; without even the implied warranty of     |
#  merchantability or fitness for a particular purpose. See the GNU   |
#  General Public License for more details.                           |
#                                                                     |
#  To obtain the GNU General Public License, write to:                |
#                                                                     |
#      Free Software Foundation, Inc.                                 |
#      59 Temple Place - Suite 330                                    |
#      Boston, MA  02111-1307                                         |
#      USA                                                            |
#---------------------------------------------------------------------+
*/

/*
# $Log: ommem.h,v $
# Revision 1.1  2000/03/19 22:11:17  dbond
# Initial revision
#
#
#
# $Id: ommem.h,v 1.1 2000/03/19 22:11:17 dbond Exp $
*/


#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>

struct cbpmem {
  char name[32];
  PSAP_ADDR psap_ptr;
};

#define MAXSHM 500
PSAP_ADDR *get_cbp(char *str);
int update_db (PSAP_ADDR *tmp_psap,char *str);

struct cbpmem *shobj; /* global pointer to shared memory pool */
int sync_sem; /* global semaphore id */
